FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Laptop

 
 
LinkBack Thread Tools
 
Old 11-18-2008, 08:21 AM
Gerard Robin
 
Default in which package debian is ffmpeg-dev ?

Hello,
on my laptop acer aspire 5102 wlmi I installed the driver m560x
successfully.
(http://m560x-driver.svn.sourceforge.net/viewvc/m560x-driver.tar.gz?view=tar)
But when I installed livecam
(http://livecam.svn.sourceforge.net/viewvc/livecam.tar.gz?view=tar)

./configure failed:
----------------------------8<-------------------------------
checking for jpeglib.h... yes
checking ffmpeg/avcodec.h usability... no
checking ffmpeg/avcodec.h presence... no
checking for ffmpeg/avcodec.h... no
configure: error: ffmpeg-devel is required to build LiveCam

My problem is that the package ffmpeg-dev doesn't exist in debian.
I would like to know What package debian contains ffmpeg-dev.

tia
--
Gérard


--
To UNSUBSCRIBE, email to debian-laptop-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 11-18-2008, 08:32 AM
"Alexandre Rossi"
 
Default in which package debian is ffmpeg-dev ?

> checking ffmpeg/avcodec.h usability... no
> checking ffmpeg/avcodec.h presence... no
> checking for ffmpeg/avcodec.h... no
> configure: error: ffmpeg-devel is required to build LiveCam
>
> My problem is that the package ffmpeg-dev doesn't exist in debian.
> I would like to know What package debian contains ffmpeg-dev.

Because it is splitted in Debian.

Try libavcodec-dev.

You can get a list of the -dev packages built from the ffmpeg library
at the following address:
http://packages.debian.org/source/sid/ffmpeg-debian

You can also use the apt-file tool :
$ apt-file search ffmpeg/avcodec.h
libavcodec-dev: /usr/include/ffmpeg/avcodec.h

Alex


--
To UNSUBSCRIBE, email to debian-laptop-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 11-18-2008, 09:45 PM
Gerard Robin
 
Default in which package debian is ffmpeg-dev ?

On Tue, Nov 18, 2008 at 10:32:16AM +0100, Alexandre Rossi wrote:

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: debian-laptop <debian-laptop@lists.debian.org>
Subject: Re: in which package debian is ffmpeg-dev ?



checking ffmpeg/avcodec.h usability... no
checking ffmpeg/avcodec.h presence... no
checking for ffmpeg/avcodec.h... no
configure: error: ffmpeg-devel is required to build LiveCam

My problem is that the package ffmpeg-dev doesn't exist in debian.
I would like to know What package debian contains ffmpeg-dev.


Because it is splitted in Debian.

Try libavcodec-dev.

You can get a list of the -dev packages built from the ffmpeg library
at the following address:
http://packages.debian.org/source/sid/ffmpeg-debian

You can also use the apt-file tool :
$ apt-file search ffmpeg/avcodec.h
libavcodec-dev: /usr/include/ffmpeg/avcodec.h


Ok, I installed libavcodec-dev apt-file search ffmpeg/avcodec.h gives:
libavcodec-dev: /usr/include/ffmpeg/avcodec.h
libavcodeccvs-dev: /usr/include/ffmpeg/avcodec.h
libmyth-dev: /usr/include/mythtv/ffmpeg/avcodec.h
./configure always failed with the same result I think it's not a
problem caused by debian packages.

Now I am asking help to the forum ALi m560x Linux Driver.

Many thanks for your help.

--
Gérard


--
To UNSUBSCRIBE, email to debian-laptop-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 11-21-2008, 12:24 AM
Gerard Robin
 
Default in which package debian is ffmpeg-dev ?

On Tue, Nov 18, 2008 at 11:45:54PM +0100, Gerard Robin wrote:

From: Gerard Robin <g.robin3@free.fr>
To: debian-laptop <debian-laptop@lists.debian.org>
Subject: Re: in which package debian is ffmpeg-dev ?
X-Spam-Checker-Version: SpamAssassin 3.2.3 (2007-08-08) on liszt.debian.org
X-Spam-Level:
X-Spam-Status: No, score=-10.0 required=4.0 tests=GMAIL,LDOSUBSCRIBER,

LDO_WHITELIST autolearn=failed version=3.2.3
MTA: Postfix Version: 2.5.5-1.1
EDITOR: vim or gvim

On Tue, Nov 18, 2008 at 10:32:16AM +0100, Alexandre Rossi wrote:

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: debian-laptop <debian-laptop@lists.debian.org>
Subject: Re: in which package debian is ffmpeg-dev ?



checking ffmpeg/avcodec.h usability... no
checking ffmpeg/avcodec.h presence... no
checking for ffmpeg/avcodec.h... no
configure: error: ffmpeg-devel is required to build LiveCam

My problem is that the package ffmpeg-dev doesn't exist in debian.
I would like to know What package debian contains ffmpeg-dev.


Because it is splitted in Debian.

Try libavcodec-dev.

You can get a list of the -dev packages built from the ffmpeg library
at the following address:
http://packages.debian.org/source/sid/ffmpeg-debian

You can also use the apt-file tool :
$ apt-file search ffmpeg/avcodec.h
libavcodec-dev: /usr/include/ffmpeg/avcodec.h


Ok, I installed libavcodec-dev apt-file search ffmpeg/avcodec.h gives:
libavcodec-dev: /usr/include/ffmpeg/avcodec.h
libavcodeccvs-dev: /usr/include/ffmpeg/avcodec.h
libmyth-dev: /usr/include/mythtv/ffmpeg/avcodec.h
./configure always failed with the same result I think it's not a
problem caused by debian packages.


Problem solved:
in debian avcodec.h is in /usr/include/ffmpeg/libavcodec/avcodec.h
I copied the file avcodec.h in /usr/include/ffmpeg/ and ./configure

worked fine i.e.:
checking ffmpeg/avcodec.h usability... yes
checking ffmpeg/avcodec.h presence... yes
checking for ffmpeg/avcodec.h... yes

But configure request qt-mt too and I had to install the package libqt3-mt-dev

And make worked fine and finally my webcam works fine ...

--
Gérard


--
To UNSUBSCRIBE, email to debian-laptop-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 11:53 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org